Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225919 (CVE-2007-0619) - CVE-2007-0619: chmlib < 0.3.9 arbitrary code execution
Summary: CVE-2007-0619: chmlib < 0.3.9 arbitrary code execution
Keywords:
Status: CLOSED NEXTRELEASE
Alias: CVE-2007-0619
Product: Fedora
Classification: Fedora
Component: chmlib
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:08 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-01 12:25:26 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2007-01-31 19:08:00 UTC
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2007-0619

"chmlib before 0.39 allows user-assisted remote attackers to execute arbitrary
code via a crafted page block length in a CHM file, which triggers memory
corruption."

FC5+ seemingly affected.

Comment 1 Peter Lemenkov 2007-02-01 12:25:26 UTC
Thanks for mentioning this.
I uploaded new version into FE several minutes ago. Let's wait a little )


Note You need to log in before you can comment on or make changes to this bug.